Bug 234896 - science/paraview: Update to 5.6
Summary: science/paraview: Update to 5.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://www.paraview.org/files/v5.6/
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2019-01-12 13:06 UTC by kunda
Modified: 2019-02-07 17:00 UTC (History)
2 users (show)

See Also:
devel: maintainer-feedback+


Attachments
update science/paraview to 5.6.0 patch (117.39 KB, patch)
2019-01-31 16:32 UTC, devel
devel: maintainer-approval+
Details | Diff
minor changes in timestamp of files (117.34 KB, patch)
2019-02-06 14:22 UTC, devel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kunda 2019-01-12 13:06:22 UTC
https://www.paraview.org/files/v5.6/
Comment 1 devel 2019-01-31 16:32:35 UTC
Created attachment 201562 [details]
update science/paraview to 5.6.0 patch
Comment 2 devel 2019-01-31 16:34:05 UTC
oops, update science/paraview to 5.6.0 actually.
Comment 3 Fernando Apesteguía freebsd_committer 2019-02-05 19:06:23 UTC
(In reply to devel from comment #2)

Hi!

Unfortunately the patch does not apply cleanly. It fails to patch Makefile. After fixing it by hand, patch-VTK_IO_EnSight_vtkEnSight6BinaryReader.cxx fails to apply too.

Would you mind to have a look at it?
Comment 4 devel 2019-02-06 14:22:26 UTC
Created attachment 201788 [details]
minor changes in timestamp of files
Comment 5 commit-hook freebsd_committer 2019-02-07 16:59:03 UTC
A commit references this bug:

Author: fernape
Date: Thu Feb  7 16:58:52 UTC 2019
New revision: 492376
URL: https://svnweb.freebsd.org/changeset/ports/492376

Log:
  science/paraview: update to 5.6.0

  * Delete a bunch of patches not needed anymore
  * Complete USES with gl

  No info for this release.

  PR:	234896
  Submitted by:	devel@stasyan.com (maintainer)

Changes:
  head/science/paraview/Makefile
  head/science/paraview/distinfo
  head/science/paraview/files/patch-VTK_IO_EnSight_vtkEnSight6BinaryReader.cxx
  head/science/paraview/files/patch-VTK_IO_EnSight_vtkEnSightGoldBinaryReader.cxx
  head/science/paraview/pkg-plist
Comment 6 Fernando Apesteguía freebsd_committer 2019-02-07 17:00:00 UTC
Committed,

Thanks!